Skip to main content
POST
Error

Authorizations

Authorization
string
header
required

A Platform Connect secret key (sk_…) sent as Authorization: Bearer <key>.

Headers

Idempotency-Key
string
required

A unique key that makes a retry return the original result.

Required string length: 1 - 255

Path Parameters

id
string
required

Account authorization ID.

Pattern: ^aauth_[0-9A-Za-z]{24}$

Body

application/json
code
string
required

One-time code from the redirect callback.

Minimum string length: 1
code_verifier
string
required

Original PKCE verifier used to derive the code challenge.

Required string length: 43 - 128
redirect_uri
string<uri>
required

Exact URI supplied when the authorization was created.

Response

The approved authorization result.

id
string
required
Pattern: ^aauth_[0-9A-Za-z]{24}$
object
enum<string>
required
Available options:
account_authorization
status
enum<string>
required
Available options:
approved
account
string
required

Ionic Account ID to use with supported Platform API calls.

Pattern: ^mer_[0-9A-Za-z]{14}$
permissions
string[]
required

Permissions granted by the connected Account.

livemode
boolean
required